Subject: Re: Edit log message after commit

From: Catalin Marinas <[email-masked]>
Date: Thu, 29 Sep 2005 09:35:23 +0100

Kevin Leung <[email-masked]> wrote:
> Is there any method to edit the log message after committed? I
> couldn't find any information in Documentation and in git mailing
> list.

As the others said, a commit object is immutable but it can be
replaced with a new one and the path from HEAD changed. If you need to
do this often, have a look at StGIT. It allows you to create patches
as git commit objects and indefinitely edit them (both file changes
and commit information like log messages, author etc.).

In the latest snapshot, I also added a commit command to permanently
store the patches into the repository after which you won't be able to
edit them anymore (that's useful for maintainers using StGIT, not only
contributors).

-- 
Catalin